Fix WordPress Plugins Auto Update

Summary: Fix WordPress to auto update plugins without requiring an FTP password.

If you manage your own blog with WordPress you will often need to update plugins to their newer versions. Depending on how your blog was initially set up, when you click on update you may get a screen that asks for a FTP username and password. There is a fix that will enable you to automatically update all your plugins and themes.

This fix should work for versions of WordPress 2.8 and above.


You’ll need to edit your wp-config.php file, which is usually in the root directory of your blog. e.g. if your blog is on /var/www/
then the file to edit is /var/www/wp-config.php

Note: This is the file you edited when you created your blog with your database connection information.

Just add this line near the end of the file (preferably above the message “stop editing” – e.g. before the abspath is defined)

define(‘FS_METHOD’, ‘direct’);

You should be good to go!

I’ve seen this method discussed in the WordPress support blogs. It’s a real gem.

Update: I’ve tested this fix up through version 3.5 and it’s still working.

Leave a Reply

Your email address will not be published. Required fields are marked *